package net.sf.basedb.examples.extensions.log;

import net.sf.basedb.core.LogControl;
import net.sf.basedb.core.log.LogManager;
import net.sf.basedb.core.log.db.DbLogManagerFactory;

/**
	Change log implementation that log change to the stdout stream. 
	The implementation uses the database logger that ships with BASE
	to collect information about the changes, but intercept the step
	that save this to the database and instead write similar information
	to the standard output.
	
	@author nicklas
	@since 1.5
*/
public class StdoutLogMangerFactory 
	extends DbLogManagerFactory
{

	public StdoutLogMangerFactory()
	{}
	

	/*
		From the LogManagerFactory interface
		------------------------------------
	*/
	/**
		Creates a new {@link StdoutLogManager}.
	*/
	@Override
	public LogManager getLogManager(LogControl logControl)
	{
		return new StdoutLogManager(logControl);
	}
	// ---------------------------------------

	
}
