/* 
	Copyright (C) 2014 Nicklas Nordborg

	This file is part of the Example Code Package for BASE.
	Available at http://baseplugins.thep.lu.se/
	BASE main site: http://base.thep.lu.se/
	
	This is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.
	
	The software is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
*/
var HistoryFile = function()
{
	var history = {};

	history.initPage = function()
	{
		// Add an event handler to the 'Browse' button that open the 'Select file' dialog
		Buttons.addClickHandler('history_file_id.select', history.selectHistoryFile);
		// Add an event handler for the custom 'base-selected' event that is sent
		// when the user selects a file
		Events.addEventHandler('history_file_id', 'base-selected', history.onFileSelected);
	}

	/**
		Open the 'Select file' dialog.
	*/
	history.selectHistoryFile = function()
	{
		var fileList = Doc.element('history_file_id.list');
		var url = '&resetTemporary=1&title=Select+history+file';
		if (fileList.length > 1) 
		{
			var id = Math.abs(parseInt(fileList[1].value));				
			url += '&item_id='+id;
		}
		// Dialog for selecting 'FILE' items
		// Callback events (base-selected) are sent to the 'history_file_id' element
		Dialogs.selectItem('FILE', 'history_file_id', 0, url);
	}
	
	/**
		Called when the user selects a file. The event.details object contain
		the 'id' and 'name' of the selected file.
	*/
	history.onFileSelected = function(event)
	{
		var fileList = Doc.element('history_file_id.list');
		if (fileList.length < 2 || fileList[1].value == '0')
		{
			Forms.addListOption(fileList, 1, new Option());
		}
		fileList[1].value = event.detail.id;
		fileList[1].text = event.detail.name;
		fileList.selectedIndex = 1;
	}

	return history;
}();

Doc.onLoad(HistoryFile.initPage);
